// file: ngrl_set_1.cc
//

// isip include files
//
#include "ngram_list.h"
#include "ngram_list_constants.h"

// method: set_nodes_cc
//
// arguments:
//  Ngram_node** nodes: (input) the nodes array
//
// return: a logical_1 indicating success
//
// this method sets the nodes array to the specified array
//
logical_1 Ngram_list::set_nodes_cc(Ngram_node** nodes_a) {

  // make sure the size was already specified
  //
  if (num_d <= NGRAM_LIST_DEFAULT_NUM) {
    error_handler_cc((char_1*)"set_nodes_cc",
		     (char_1*)"size of array not set");
  }

  // check if array needs to be reset, too
  //
  if (nodes_d != (Ngram_node**)NULL) {
    delete [] nodes_d;
  }

  // copy nodes array
  //
  nodes_d = nodes_a;
    
  // exit gracefully
  //
  return ISIP_TRUE;
}
